import { AppProps } from "$fresh/server.ts";
import { Nav } from "../components/nav/index.tsx";

export default function App({ Component }: AppProps) {
  return (
    <html class="dark:bg-smoke dark:text-white">
      <head>
        <meta charSet="utf-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0" />
        <link rel="shortcut icon" href="cyborggrizzly.svg" type="image/svg" />
        <title>MC GRIZZ</title>
        <link rel="preconnect" href="https://fonts.googleapis.com" />
        <link
          rel="preconnect"
          href="https://fonts.gstatic.com"
          crossOrigin="true"
        />
        <link
          href="https://fonts.googleapis.com/css2?family=Titillium+Web:ital,wght@0,200;0,300;0,400;0,600;0,700;0,900;1,200;1,300;1,400;1,600;1,700&display=swap"
          rel="stylesheet"
        >
        </link>
        <link rel="stylesheet" href="/styles/tailwind.css" />
      </head>
      <body>
        <div class="flex h-[100vh]">
          <div class="h-full min-w-[400px] bg-licorice overflow-y-auto border-r-2 p-4 dark:border-sky-950 border-sky text-white flex flex-col">
            <div class="flex items-center justify-center p-4 gap-4 mb-8 rounded-3xl bg-smoke-900 border border-sky-950">
              <img src="cyborggrizzly.svg" alt="" height={100} width={100} />
              <div>
                <h1 class="text-4xl font-pixel">MC Grizz</h1>
                <hr class="color-sky" />
                <small>A Minecraft Server Manager</small>
              </div>
            </div>

            <Nav />
            
            <small class="mt-auto text-center">
              Made with love by Emma@Cyborggrizzly 🏳️‍⚧️❤️
            </small>
          </div>
          <div class="max-h-full flex-1">
            <Component />
          </div>
        </div>
      </body>
    </html>
  );
}
